namespace FastBlog.Core.Models;

public sealed class BusinessError : Exception
{
    public string ShortCode { get; set; }
    public BusinessError(string message, string shortCode) : base(message)
    {
        ShortCode = shortCode;
    }
    
    public BusinessError(string shortCode) : base(shortCode)
    {
        ShortCode = shortCode;
    }
}